import { DecimalPipe } from '@angular/common';
import { ChangeDetectorRef, ElementRef, EventEmitter, NgZone, OnDestroy, OnInit } from '@angular/core';
import { GaugeComponent } from '@swimlane/ngx-charts';
import { Observable } from 'rxjs';
export declare class GaugeCardComponent extends GaugeComponent implements OnInit, OnDestroy {
    private myChartElement;
    decimalPipe: DecimalPipe;
    ngxChartsGauge: ElementRef<any>;
    /**
     * Automatically set min/max range according to input values
     */
    dynamicRange: boolean;
    alias: string;
    colorScheme: {
        domain: string[];
    };
    min: number;
    max: number;
    set digitsInfo(digitsInfo: string);
    legend: boolean;
    legendTitle: string;
    set inputStream(stream: Observable<any>);
    onError: EventEmitter<Error>;
    results: {
        name: string;
        value: any;
    }[];
    private subscription?;
    constructor(myChartElement: ElementRef<any>, zone: NgZone, cd: ChangeDetectorRef, decimalPipe: DecimalPipe);
    ngOnInit(): void;
    scaleText(repeat?: boolean): void;
    ngOnDestroy(): void;
    onSelect(event: any): void;
}
